Subject: Re: [bug#65717] [PATCH] gnu: Add emacs-latex-extra.

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 05 Sep 2023 14:50:54 +0200

Hello,

Sergiu Ivanov <[email-masked]> writes:

> If I don't explicitly set $HOME, the build fails with
>
> Debugger entered--Lisp error: (file-missing "Setting current directory" "No such file or directory" "/homeless-shelter/")

OK.

> I tried adding the following to the arguments list:
>
> #:tests? #t
> #:test-command '("make" "test")

Sometimes, it is necessary to skip the Makefile step and write
explicitly what the Makefile is doing right into #:test-command.

Here, I called `ert-run-tests-batch-and-exit' after loading the test
library. The unusual part was the tests required to be run from within
the "tests/" directory, hence the `cd' evaluation:

        #:test-command
        #~(list "emacs" "-Q" "--batch"
                "--eval=(cd \"tests/\")"
                "-l" "latex-extra-test.el"
                "-f" "ert-run-tests-batch-and-exit")

I applied your patch. Thank you!

Regards,
-- 
Nicolas Goaziou